Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062126 - CKE Editor in Form Modeler spontaneously enables 'High contrast' mode when Problems panel is open
Summary: CKE Editor in Form Modeler spontaneously enables 'High contrast' mode when Pr...
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Form Modeler
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Pere Fernàndez
QA Contact: Andy Taylor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 09:10 UTC by Jan Hrcek
Modified: 2019-02-28 22:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Firefox or Internet Explorer
Last Closed:
Type: Bug


Attachments (Terms of Use)
Video showing steps to reproduce the issue (deleted)
2014-02-06 09:10 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-02-06 09:10:33 UTC
Created attachment 860059 [details]
Video showing steps to reproduce the issue

Description of problem:
The CKE Editor (3rd party HTML editor component used in FormModeler) spontaneously activates its High Contrast mode (see http://docs.ckeditor.com/#!/guide/skin_sdk_hc)

This is minor aesthetic issue, but one, that looks quite ugly when it happens. The problem might also be, that in this mode the component then overflows other fields in form canvas, when it is in the high contrast mode. The unexpected change in the editor might make the users think the editor is broken.

Observer the problem in the video.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 CR2

How reproducible:
Always when on Firefox (In my case FF 24) and in Internet Explorer

Steps to Reproduce:
1. Open some form with Rich text field added (displayed using CKE Editor widget in the form canvas). Make sure Problems panels is closed.
2. Now make the Problems panel appear (for example create new work item definition, make some mistake in it and save it -> then close the work item editor)

Actual results:
When the problems panel becomes present, the CKE Editor in form modeler sets itself in 'high contrast mode' - it is larger, has text buttons instead of 

Expected results:
If possible try to somehow disable the high contrast mode (some info about it is in the CKE documentation linked in the description). 

The other solution would be to adjust the size of the editor 'borderline' in the canvas, so that it doesn't overflow the elements that are below it.

Additional info:
As described in the CKE documentation, the High contrast mode can only happen in Firefox and Internet Explorer (I was able to reproduce the problem in both)

Comment 2 Jan Hrcek 2014-06-24 11:57:43 UTC
Yes, the issue is still present in BPMS 6.0.2 CR2

Comment 3 Jan Hrcek 2015-12-07 12:29:34 UTC
The issue is still present in BPM Suite 6.2.0 GA


Note You need to log in before you can comment on or make changes to this bug.